#include <bits/stdc++.h>
using namespace std;
vector <int> a;
vector <int> Sum;
int GlobalRez=1000000000;
int n,m;
void Resi(int index,int rez){
if(index==n-1){
    GlobalRez=min(GlobalRez,rez);
    return;
}
int sum=0;
for(int i=0;i<a[index];i++){
    Sum[i]++;
}
for(int i=m-1;i>=a[index];i--)sum+=a[i];
Resi(index+1,rez+(index)*a[index]+sum);
sum=0;
for(int i=0;i<a[index];i++){
    Sum[i]--;
}
for(int i=0;i<a[index];i++)sum+=a[i];

for(int i=m-1;i>=a[index];i--){
    Sum[i]++;
}

Resi(index+1,rez+(index)*(m-a[index])+sum);
for(int i=m-1;i>=a[index];i--){
    Sum[i]--;
}
}
int main(){

cin >>n>>m;
a.resize(n);
Sum.resize(m);
for(int i=0;i<n;i++){
    cin >>a[i];
}
Resi(0,0);
cout <<GlobalRez<<endl;
}